# Maintainer: scybernaut <scybernaut at scybernaut dot me>
# Contributor: Guoyi Zhang <GuoyiZhang at malacology dot net>

pkgname=gnome-shell-extension-tray-icons-reloaded
pkgver=29
pkgrel=1
pkgdesc="GNOME Shell extension which bring back Tray Icons to top panel, with additional features."
arch=('any')
url="https://github.com/MartinPL/Tray-Icons-Reloaded"
license=('GPL3')
depends=('gnome-shell')
source=("https://extensions.gnome.org/extension-data/trayIconsReloadedselfmade.pl.v$pkgver.shell-extension.zip")
sha256sums=('f6dfebeaa79eadb57771f47ee534c97e7cd8d85177eadd9fb56c9ebe0cf4f7ca')

package() {
		
	cd $srcdir
	local uuid=$(grep -Po '(?<="uuid": ")[^"]*' metadata.json)
	local destdir="$pkgdir/usr/share/gnome-shell/extensions/$uuid"
	install -dm755 "$destdir"

	rm *.zip
	chmod 544 metadata.json

	cp -r * "$destdir"
}
